List resource actions
List recent actions performed on resources in a project.
Authorization
bearer_auth OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Query Parameters
Page number (1-based).
1 <= valueNumber of actions per page (1–20).
1 <= value <= 20Filter by numeric action type code.
Filter by status (0 = pending, 1 = success, 2 = failure).
Value in
- 0
- 1
- 2
Filter by numeric resource type code.
Filter to automatic or user-initiated actions.
Return actions with ID strictly less than this cursor. Accepts a ULID or a millisecond timestamp (converted server-side).
Return actions with ID strictly greater than this cursor. Accepts a ULID or a millisecond timestamp (converted server-side).
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X GET "https://example.com/v1/actions?page=1&page_size=10"{ "actions": [ { "id": "01HXYZABCDEFGHJKLMNPQRSTUV", "user_id": "7247ba6a-b17d-4c72-94f1-a36108aee56d", "type": 1, "is_automatic": false, "status": 1, "started_at": "2024-04-15T14:54:31.486Z", "ended_at": "2024-04-15T14:55:01.486Z", "data": null, "schema_version": 1, "resource_type": 1, "action_type_name": "computer_create", "status_name": "success", "resource_type_name": "computer" } ], "total": 1}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}